# PoserToOctane Plugin Defaults
# 
# Copyright (c) 2012-2013, Paul Kinnane, Physicalc Software Pty Ptd
#
# For additional support, contact Paul Kinnane at support@physicalc-software.com
#
# Version 1.0 - original release
#
#========================================================================================================================================

### IMPORANT : Reload a scene or start a new scene in order for these defaults to be refreshed in Poser

### All DEPRECIATED (no longer used) PARAMETERS have been listed at the end of this file

# The maximum scene size that will load into the plugin.  Increase that if you have high-end equipment.  Increase this figure at your own risk!
# As a rule, if your PC has 4Gig RAM, the practical scene size limit with be 4Mil polygons
MAX_NUMBER_OF_SCENE_POLYGONS = 4000000 

RESOLUTION_PRESETS = [ # Add your own customer resolutions to the end of this list.  Note, there must be a " x " between the 2 numbers
    "320 x 200",
    "640 x 480", 
    "1024 x 768", 
    "1600 x 1200",
]

SAVE_PREVIOUS_RENDER_SAMPLES = 100  # The number of samples where the render is saved as the "previous render" (to be dispalyed with teh right mouse button).  Set to 0 to disable previous render saving.

# Material conversion defaults
GLOSSY_DIFFUSE_RATIO = 0.2 # If total Specular_Color * Specular_Value * GLOSSY_DIFFUSE_RATIO is greater than total diffuse color * value, then make the node glossy, otherwise diffuse
# Set the above to 0 to force all materials to be glossy (and not diffuse).
# NOTE: If Alternate_Specular is "brighter" than Specular_Color * Specular_Value, it will be used in the above calculation instead.

SPECULAR_RATIO = 0.5 # If a Poser Material has a transparency greater than this figure, it will be converted to an specular Octane material
SPECULAR_FILM_INDEX = 1.45 # The filmindex pin default value for glossy nodes

# Below are default values for the glossy pins
GLOSSY_SPECULAR = 0.05 # The specular value for glossy materials converted from Poser
GLOSSY_ROUGHNESS = 0.7 # The roughness value for glossy materials converted from Poser
GLOSSY_BUMP_POWER = 0.05 # The bump value for glossy materials converted from Poser.  Only applied if there is a bump map
GLOSSY_FILM_INDEX = 1.45 # The filmindex pin default value for glossy nodes
GLOSSY_INDEX = 0.0 # The index pin default value for glossy nodes

GLOSSY_POWER_PERCENT = 0.2 # Depreciated
SKIN_SPECULAR_POWER = 0.005 # Depreciated
SKIN_SPECULAR_ROUGHNESS = 0.5 # Depreciated

#Daylight defaults
DEFAULT_DAYLIGHT_MODEL = 1 # 0 = Old, 1 = New

# Kernel defaults
DEFAULT_KERNEL = "pathtracing" # Opions are "pmc", "directlighting", "pathtracing", "deep_channel_kernel"
DEFAULT_RAYEPSILON = 0.00001
DEFAULT_MAXDEPTH = 12 
DEFAULT_MAXSAMPLES = 12000
DEFAULT_FILTERSIZE = 1.5

# Imager defaults
DEFAULT_EXPOSURE = 1
DEFAULT_GAMMA = 1
DEFAULT_CAMERA_RESPONSE = "Agfacolor HDC 100 plusCD" # Case sensitive
DEFAULT_VIGNETTING = 0.3
DEFAULT_MIN_DISPLAY_SAMPLES = 1

# If a texturemap is plugged into the Specular_Color and total Specular_Color * Specular_Value > CONVERT_SPECULAR_MAPS_THRESHOLD the texturemap will be plugged into the "specular" pin of the glossy
# If a texturemap is plugged into the Alternate_Specular and Alternate_Specular > CONVERT_SPECULAR_MAPS_THRESHOLD the texturemap will be plugged into the "specular" pin of the glossy
CONVERT_SPECULAR_MAPS_THRESHOLD = 0.5 

DEFAULT_IMAGE_POWER = 1

USE_TEXTURE_EMISSION_FOR_EMITTERS = 1 # Set to 0 to set emission = "blackbody" for ambient materials, or 1 for "texture emission".  If 1, then the ambient_color from the Poser material will be used as the emitter color

ANIMATION_OUTPUT_DEFAULT_FOLDER = "" # "" defaults to the Poser Temp Files (set in the Misc tab of the General Preferences)
# For example, you can set to a specific folder as follows.....ANIMATION_OUTPUT_DEFAULT_FOLDER = "C:\\Users\\Public\\Documents"

PROGRESSIVE_SAVE_SAMPLES_INTERVAL = 500 # The number of samples between progressive save images

SkinNodeTemplate = [ # Always glossy
    ["diffuse", "power", 1.0],
    ["diffuse", "gamma", 2.2],
    ["specular", [0.0, 0.025, 0.05]], # Must be 3 floats = color
    ["roughness", 0.5],
    ["filmwidth", 1.0],
    ["bump", "power", 0.05],
    ["bump", "gamma", 1.0]
]

# Skin materials in the list below default to glossy.  Must be lowercase
SkinMaterials = [
    "skin",
    "skinbody", 
    "skintorso", 
    "skinneck", 
    "skinhip", 
    "skinfeet", 
    "skinleg", 
    "skinforearm", 
    "skinarm",  
    "skinhand", 
    "skinhead", 
    "skinscalp", 
    "skinlips", 
    "skinknee", 
    "skinshin", 
    "skinthigh", 
    "nipples", 
    "lips", 
    "eyesocket", 
    "nostrils", 
    "head", 
    "body", 
    "legs",
    "arms",
    "skin_body", 
    "skin_head", 
    "skin_legs",
    "skin_arms",
    "1_skinface", 
    "1_nostril", 
    "1_lip", 
    "2_skinhead", 
    "2_skinneck", 
    "2_skintorso", 
    "2_nipple", 
    "2_skinhip", 
    "3_skinarm", 
    "3_skinfoot", 
    "3_skinforearm", 
    "3_skinhand", 
    "3_skinleg", 
    "teeth",
    "tongue",
    "innermouth",
    "mouthinner",
    "gen_skin", 
    "genitals", 
    "foreskin",
    "lacrimals",
    "nailsfingers",
    "nailstoes",
    "ears", # V6
    "face", # V6
    "feet", # V6
    "forearms", # V6
    "hands", # V6
    "hips", # V6
    "neck", # V6
    "nipples", # V6
    "shoulders", # V6
    "torso" # V6    
]

### DEPRECIATED (no longer used) PARAMETERS
        
depreciated_REFRESH_DEFAULT = 200 # The default Viewport refresh rate

# Kernel defaults
depreciated_DEFAULT_KERNEL = "pathtracing" # Opions are "pmc", "directlighting", "pathtracing", "deep_channel_kernel"

# Camera defaults
depreciated_DEFAULT_APERTURE = 1
depreciated_DEFAULT_NEARCLIPDEPTH = 0.0001 # Should be 0.048 * POSER_TO_OCTANE_SCALE_FACTOR in order to match the default Poser camera hither, but this causes an issue with RC2 of Octane for focus picking

# Resolution defaults
depreciated_DEFAULT_RESOLUTION_WIDTH = 800 # Set to 0 to use the Poser Render Resolution width
depreciated_DEFAULT_RESOLUTION_HEIGHT = 600 # Set to 0 to use the Poser Render Resolution height

depreciated_RESOLUTION_LOCK_ASPECT_RATIO_CHECKBOX = True # Set to false to default the checkbox to Off

depreciated_REFRESH_DEFAULT = 200 # The default Viewport refresh rate

depreciated_PROGRESSIVE_SAVE_OUTPUT_FOLDER = "" # "" defaults to the Poser Temp Files (set in the Misc tab of the General Preferences)
# For example, you can set to a specific folder as follows.....PROGRESSIVE_SAVE_OUTPUT_DEFAULT_FOLDER = "C:\\Users\\Public\\Documents"
